<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: Modals.CreateProjectModal Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_modals_1_1_create_project_modal.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="class_modals_1_1_create_project_modal-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">Modals.CreateProjectModal Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Modals.CreateProjectModal:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_modals_1_1_create_project_modal.png" usemap="#Modals.CreateProjectModal_map" alt=""/>
  <map id="Modals.CreateProjectModal_map" name="Modals.CreateProjectModal_map">
<area href="class_modal.html" alt="Modal" shape="rect" coords="0,56,170,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a19f19883700e3f1b1e2de102322d2ca9"><td class="memItemLeft" align="right" valign="top">override IEnumerator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_modals_1_1_create_project_modal.html#a19f19883700e3f1b1e2de102322d2ca9">Start</a> ()</td></tr>
<tr class="memdesc:a19f19883700e3f1b1e2de102322d2ca9"><td class="mdescLeft">&#160;</td><td class="mdescRight"> <a href="class_modals_1_1_create_project_modal.html#a19f19883700e3f1b1e2de102322d2ca9">More...</a><br /></td></tr>
<tr class="separator:a19f19883700e3f1b1e2de102322d2ca9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="inherited" name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_attribs_class_modal"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_class_modal')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="class_modal.html">Modal</a></td></tr>
<tr class="memitem:af7c723d763c2ad019587da60a8bead6b inherit pro_attribs_class_modal"><td class="memItemLeft" align="right" valign="top"><a id="af7c723d763c2ad019587da60a8bead6b" name="af7c723d763c2ad019587da60a8bead6b"></a>
XRUIModal&#160;</td><td class="memItemRight" valign="bottom"><b>XRUIModal</b></td></tr>
<tr class="separator:af7c723d763c2ad019587da60a8bead6b inherit pro_attribs_class_modal"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4bceeb1281088f69e8a37fd215c4424 inherit pro_attribs_class_modal"><td class="memItemLeft" align="right" valign="top"><a id="ab4bceeb1281088f69e8a37fd215c4424" name="ab4bceeb1281088f69e8a37fd215c4424"></a>
UIDocument&#160;</td><td class="memItemRight" valign="bottom"><b>UIDocument</b></td></tr>
<tr class="separator:ab4bceeb1281088f69e8a37fd215c4424 inherit pro_attribs_class_modal"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a19f19883700e3f1b1e2de102322d2ca9" name="a19f19883700e3f1b1e2de102322d2ca9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19f19883700e3f1b1e2de102322d2ca9">&#9670;&nbsp;</a></span>Start()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override IEnumerator Modals.CreateProjectModal.Start </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented from <a class="el" href="class_modal.html#abac6faa7d5d572d5e10d24bed3db82d4">Modal</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/Scripts/Modals/<a class="el" href="_create_project_modal_8cs.html">CreateProjectModal.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_modals.html">Modals</a></li><li class="navelem"><a class="el" href="class_modals_1_1_create_project_modal.html">CreateProjectModal</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:26:14 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
